#
# spec file for package khrono (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         khrono
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      Digital clock, stop watch and alarm clock
Version:      2.0
Release:      223
Source0:      khrono-2.0.tar.bz2
Patch0: khrono-2.0.dif

%description
Practical thingy.

Authors:
--------
    Axel von Arnim <vonarnim@club-internet.fr>

SuSE series: k2de

%prep
%setup -n khrono-2.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc NEWS README THANKS AUTHORS INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Utilities
%dir /opt/kde2/share/apps/khrono
%dir /opt/kde2/share/apps/khrono/pics
%dir /opt/kde2/share/apps/khrono/sounds
%dir /opt/kde2/share/doc/HTML/en/khrono
%dir /opt/kde2/share/icons/hicolor/48x48/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
/opt/kde2/bin/khrono
/opt/kde2/share/applnk/Utilities/khrono.desktop
/opt/kde2/share/apps/khrono/pics/about.gif
/opt/kde2/share/apps/khrono/pics/lap.gif
/opt/kde2/share/apps/khrono/pics/mode.gif
/opt/kde2/share/apps/khrono/pics/pause.gif
/opt/kde2/share/apps/khrono/pics/play.gif
/opt/kde2/share/apps/khrono/pics/reset.gif
/opt/kde2/share/apps/khrono/pics/set.gif
/opt/kde2/share/apps/khrono/pics/stop.gif
/opt/kde2/share/apps/khrono/pics/theme.gif
/opt/kde2/share/apps/khrono/sounds/alarm.wav
/opt/kde2/share/doc/HTML/en/khrono/common
/opt/kde2/share/doc/HTML/en/khrono/compilation.html
/opt/kde2/share/doc/HTML/en/khrono/configuration.html
/opt/kde2/share/doc/HTML/en/khrono/credits.html
/opt/kde2/share/doc/HTML/en/khrono/faq.html
/opt/kde2/share/doc/HTML/en/khrono/index.docbook
/opt/kde2/share/doc/HTML/en/khrono/index.html
/opt/kde2/share/doc/HTML/en/khrono/installation.html
/opt/kde2/share/doc/HTML/en/khrono/introduction.html
/opt/kde2/share/doc/HTML/en/khrono/khrono-dockwindow.html
/opt/kde2/share/doc/HTML/en/khrono/khrono-mainwindow.html
/opt/kde2/share/doc/HTML/en/khrono/khrono-revhistory.html
/opt/kde2/share/doc/HTML/en/khrono/logotp3.png
/opt/kde2/share/doc/HTML/en/khrono/requirements.html
/opt/kde2/share/doc/HTML/en/khrono/screendetail.png
/opt/kde2/share/doc/HTML/en/khrono/using-khrono.html
/opt/kde2/share/icons/hicolor/48x48/apps/khrono.png
/opt/kde2/share/icons/locolor/16x16/apps/khrono.png
/opt/kde2/share/icons/locolor/32x32/apps/khrono.png

%changelog -n khrono
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 20 2001 - adrian@suse.de
- update to Version 2.0 (KDE 2)
* Sun Jun 04 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Mon Mar 06 2000 - uli@suse.de
- New version 1.2
* Tue Feb 08 2000 - pthomas@suse.de
- updated to khrono-1.1.1
- fix Makefile.in
- split off libungif diff to separate patch
* Mon Feb 07 2000 - pthomas@suse.de
- made ISO C++ compliant
- pass RPM_OPT_FLAGS to configure
- add Group Entry
* Tue Jan 04 2000 - kettner@suse.de
- Spec file created from khrono-1.1.tar.gz by autospec
